# Set up python environment

find_package(
    Python 3.7
    COMPONENTS Interpreter Development.Module NumPy
    REQUIRED)

get_filename_component(
    PYTHON_BIN_DIR
    ${Python_EXECUTABLE}
    DIRECTORY)

find_program(
    CYTHON
    NAMES cython cython3
    HINTS 
    ${PYTHON_BIN_DIR}
    ${PYTHON_BIN_DIR}/Scripts)

if(NOT CYTHON)
    message(FATAL_ERROR "CYTHON not found")
endif()
